LVPOLL(8)

NAME
lvpoll — Internal command used by lvmpolld to complete some Logical Volume operations.

SYNOPSIS
lvm lvpoll --polloperation {pvmove|convert|merge|merge_thin} [--abort] [-A|--autobackup {y|n}] [--commandprofile ProfileName] [-d|--debug] [-h|-?|--help] [--handlemissingpvs] [-i|--interval Seconds] [-t|--test] [-v|--verbose] [--version] LogicalVolume[Path]

DESCRIPTION
lvpoll is an internal command used by lvmpolld(8) to monitor and complete lvconvert(8) and pvmove(8) operations. lvpoll itself does not initiate these operations and you should never normally need to invoke it directly.

LogicalVolume The Logical Volume undergoing conversion or, in the case of pvmove, the name of the internal pvmove Logical Volume (see EXAMPLES).

OPTIONS
See lvm(8) for common options.

--polloperation {convert|merge|merge_thin|pvmove}
    Mandatory option. pvmove refers to a pvmove operation that is moving data. convert refers to an operation that is increasing the number of redundant copies of data maintained by a mirror. merge indicates a merge operation that doesn't involve thin volumes. merge_thin indicates a merge operation involving thin snapshots. pvmove(8) and lvconvert(8) describe how to initiate these operations.

--abort
    Abort pvmove in progress. See pvmove(8).

--handlemissingpvs
    Used when the polling operation needs to handle missing PVs to be able to continue. This can happen when lvconvert(8) is repairing a mirror with one or more faulty devices.

-i, --interval Seconds
    Report progress at regular intervals

EXAMPLES
Resume polling of a pvmove operation identified by the Logical Volume vg00/pvmove0:

lvm lvpoll --polloperation pvmove vg00/pvmove0

Abort the same pvmove operation:

lvm lvpoll --polloperation pvmove --abort vg00/pvmove0

To find out the name of the pvmove Logical Volume resulting from an original pvmove /dev/sda1 command you may use the following lvs command. (Remove the parentheses from the LV name.)

lvs -a -S move_pv=/dev/sda1

Resume polling of mirror conversion vg00/lvmirror:

lvm lvpoll --polloperation convert vg00/lvmirror

Complete mirror repair:

lvm lvpoll --polloperation convert vg/damaged_mirror --handlemissingpvs

Process snapshot merge:

lvm lvpoll --polloperation merge vg/snapshot_old

Finish thin snapshot merge:

lvm lvpoll --polloperation merge_thin vg/thin_snapshot

SEE ALSO
lvconvert(8), lvm(8), lvmpolld(8), lvs(8), pvmove(8)